<?php

namespace App\Http\Controllers;
use App\Models\Eqw;
use Illuminate\Support\Str;
use App\Models\GlobalFunction;
use App\Models\Pages;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;

class EqwController extends Controller
{
    function fetchAllEqw(Request $request)
    {

        $totalData =  Eqw::count();
        $rows = Eqw::orderBy('id', 'ASC')->get();


        $eqws = $rows;

        $columns = array(
            0 => 'id',
            1 => 'name',
            2 => 'type',
            3 => 'EQ',
           4 => 'effects',
             5 => 'description'
            
        );
        $limit = $request->input('length');
        $start = $request->input('start');
        $order = $columns[$request->input('order.0.column')];
        $dir = $request->input('order.0.dir');
        $totalData = Eqw::count();
        $totalFiltered = $totalData;
        if (empty($request->input('search.value'))) {
            $eqws = Eqw::offset($start)
                ->limit($limit)
                ->orderBy($order, $dir)
                ->get();
        } else {
            $search = $request->input('search.value');
            $eqws =  Eqw::Where('name', 'LIKE', "%{$search}%")
                ->offset($start)
                ->limit($limit)
                ->orderBy($order, $dir)
                ->get();
            $totalFiltered = Eqw::where('id', 'LIKE', "%{$search}%")
                ->orWhere('name', 'LIKE', "%{$search}%")
                ->count();
        }
        $data = array();
        foreach ($eqws as $eqw) {


            $id = $eqw->id;
            //   $news_count=  Wallpaper::Where('wallpaper_type',0)->where('category_id',$id)->count();
            $edit= 
                '<a  href="#" rel='.$eqw->id.'
                data-target="#editEqwModal" 
                data-name="' . $eqw->name . '" 
                data-type="' . $eqw->type . '" " 
                data-eq="' . $eqw->EQ . '" " 
                data-effects="' . $eqw->effects . '" 
                data-description="' . $eqw->description . '" 
                class="btn edit btn-success me-3">' . __('Edit') . '</a>';
            $delete='<a href="#" class="btn delete btn-danger" rel=' . $eqw->id . '>' . __('Delete') . '</a>';
        
            $data[] = array(

               
                '<p>' . $eqw->name . '</p>',
                 '<p>' . $eqw->type . '</p>',
                   '<p>' . $eqw->EQ . '</p>',
                    '<p>' . $eqw->effects . '</p>',
                      '<p>' . Str::limit($eqw->description, 50, '...') . '</p>',

           '<span class="float-end">'. $edit . $delete .' </span>' 

            );
        }
        $json_data = array(
            "draw"            => intval($request->input('draw')),
            "recordsTotal"    => intval($totalData),
            "recordsFiltered" => $totalFiltered,
            "data"            => $data
        );
        echo json_encode($json_data);
        exit();
    }


    function geteqw()
    {

        $rows = Eqw::orderBy('id', 'ASC')->get();


        $data['eqws'] = $rows;
        $data['status'] = true;
        $data['message'] = "all data fetch successfull";
        echo json_encode($data);
    }


    function deleteEqw(Request $request)
    {

        $eqw = EQw::where('id', $request->eqw_id)->first();
        
        if ($eqw == null) {
            return response()->json([
                'status' => false,
                'message' => 'Eq Not Found',
            ]);
        }
       
        $eqw->delete();

        return response()->json([
            'status' => true,
            'message' => 'Eq delete successfully',
        ]);
    }
    

    function addEqw(Request $req)
    {

        $eqw = new Eqw();
        $eqw->name = $req->name;
        $eqw->type = $req->type;
        $eqw->EQ = $req->eq;
        $eqw->effects = $req->effects;
        $eqw->description = $req->description;

        $eqw->save();
        $data['status'] = true;
        $data['message'] = "add successfull";

return response()->json([
            'status' => true,
            'message' => 'EQ added successfully',
            'data' => $eqw,
        ]);    }

   public function updateEqw(Request $request)
{
    $eqw = Eqw::where('id', $request->eqw_id)->first();
    if ($eqw == null) {
        return response()->json([
            'status' => false,
            'message' => 'Eq not found',
        ]);
    }

    // Update fields
    if ($request->has('strain')) {
        $eqw->strain = $request->strain;
    }
    if ($request->has('type')) {
        $eqw->type = $request->type;
    }
    if ($request->has('rating')) {
        $eqw->rating = $request->rating;
    }
    if ($request->has('eq')) {
        $eqw->eq = $request->eq;
    }
    if ($request->has('effects')) {
        $eqw->effects = $request->effects; // Corrected from 'effect' to 'effects'
    }
    if ($request->has('flavor')) {
        $eqw->flavor = $request->flavor;
    }
    if ($request->has('description')) {
        $eqw->description = $request->description;
    }

    $eqw->save();

    return response()->json([
        'status' => true,
        'message' => 'Eq updated successfully',
    ]);
}


    function getEqws()
    {
       $data = Eqw::orderBy('id', 'ASC')->get();

// Add strain attribute to each row
foreach ($data as $item) {
    $item->strain = $item->name;
}


        return json_encode(['status' => true, 'message' => 'Data Fetch Successfull', 'data' => $data]);
    }


    
}
