$(document).ready(function () {
  $(".sideBarli").removeClass("activeLi");
  $(".eqwSideA").addClass("activeLi");

  var selectedEqID = 0;
var user_type = 1; 
  $("#eqwTable").dataTable({
    processing: true,
    serverSide: true,
    serverMethod: "post",
    aaSorting: [[0, "desc"]],
    language: {
      paginate: {
        next: '<svg viewBox="0 0 24 24" width="24" height="24" stroke="currentColor" stroke-width="2" fill="none" stroke-linecap="round" stroke-linejoin="round" class="css-i6dzq1"><polyline points="9 18 15 12 9 6"></polyline></svg>',
        previous:
          '<svg viewBox="0 0 24 24" width="24" height="24" stroke="currentColor" stroke-width="2" fill="none" stroke-linecap="round" stroke-linejoin="round" class="css-i6dzq1"><polyline points="15 18 9 12 15 6"></polyline></svg>',
      },
    },
    columnDefs: [
      {
        targets: [0, 1, 2, 3],
        orderable: false,
      },
    ],
    ajax: {
      url: `${domainUrl}fetchAllEqw`,
      error: (error) => {
        console.log(error);
      },
    },
  });

  $(document).on("submit", "#addEqwForm", function (e) {
    e.preventDefault();
    if (user_type === 1) {
        let formData = new FormData($("#addEqwForm")[0]);

        $.ajax({
            type: "POST",
            url: `${domainUrl}addeqw`,
            data: formData,
            contentType: false,
            processData: false,
            success: function (response) {
                if (!response.status) {
                    console.log(response.message);
                    iziToast.show({
                        title: "Error",
                        message: "Eq not found",
                        color: "red",
                        position: toastPosition,
                        transitionIn: transitionInAction,
                        transitionOut: transitionOutAction,
                        timeout: 3000,
                        animateInside: false,
                        iconUrl: `${domainUrl}asset/img/copy.svg`,
                    });
                } else {
                    iziToast.show({
                        title: "Success",
                        message: "Eq Added Successfully",
                        color: "green",
                        position: toastPosition,
                        transitionIn: transitionInAction,
                        transitionOut: transitionOutAction,
                        timeout: 3000,
                        animateInside: false,
                        iconUrl: `${domainUrl}asset/img/check-circle.svg`,
                    });
                    $("#eqwTable").DataTable().ajax.reload(null, false);
                    $("#eqwModal").modal("hide");
                }
            },
        });
    } else {
        iziToast.show({
            title: "Oops",
            message: "You are a tester",
            color: "red",
            position: toastPosition,
            transitionIn: transitionInAction,
            transitionOut: transitionOutAction,
            timeout: 3000,
            animateInside: false,
            iconUrl: `${domainUrl}asset/img/x.svg`,
        });
    }
});


  $("#eqwTable").on("click", ".edit", function (e) {
    e.preventDefault();

    var id = $(this).attr("rel");
    var name = $(this).data("name");
    var type = $(this).data("type");
    var eq = $(this).data("eq");
 var effects = $(this).data("effects");
    var description = $(this).data("description");
  
    selectedEqID = id;
    $("#edit_name").val(name);
    $("#edit_type").val(type);
    $("#edit_eq").val(eq);
        $("#edit_effects").val(effects);
        $("#edit_description").val(description);
    


    $("#editEqwModal").modal("show");
  });

  $(document).on("submit", "#editEqwForm", function (e) {
    e.preventDefault();
    if (user_type == 1) {
      let editformData = new FormData($("#editEqwForm")[0]);
      editformData.append("eqw_id", selectedEqID);

   

      $.ajax({
        type: "POST",
        url: `${domainUrl}updateeqw`,
        data: editformData,
        contentType: false,
        processData: false,
        success: function (response) {
          if (response.status == 404) {
            console.log(response.message);
          } else if (response.status == false) {
            iziToast.show({
              title: "Error",
              message: "Eq Not Found",
              color: "red",
              position: toastPosition,
              transitionIn: transitionInAction,
              transitionOut: transitionOutAction,
              timeout: 3000,
              animateInside: false,
              iconUrl: `${domainUrl}asset/img/x.svg`,
            });
          } else if (response.status == true) {
            iziToast.show({
              title: "Success",
              message: "Eq Update Successfully",
              color: "green",
              position: toastPosition,
              transitionIn: transitionInAction,
              transitionOut: transitionOutAction,
              timeout: 3000,
              animateInside: false,
              iconUrl: `${domainUrl}asset/img/check-circle.svg`,
            });
            $("#eqTable").DataTable().ajax.reload(null, false);
            $("#editEqwModal").modal("hide");
          }
        },
      });
    } else {
      iziToast.show({
        title: "Oops",
        message: "You are tester",
        color: "red",
        position: toastPosition,
        transitionIn: transitionInAction,
        transitionOut: transitionOutAction,
        timeout: 3000,
        animateInside: false,
        iconUrl: `${domainUrl}asset/img/x.svg`,
      });
    }
  });

  $("#eqwTable").on("click", ".delete", function (e) {
    e.preventDefault();
    if (user_type == 1) {
      var id = $(this).attr("rel");
      swal({
        title: "Are you sure?",
        icon: "error",
        buttons: true,
        dangerMode: true,
        buttons: ["Cancel", "Yes"],
      }).then((deleteValue) => {
        if (deleteValue) {
          if (deleteValue == true) {
            $.ajax({
              type: "POST",
              url: `${domainUrl}deleteeqw`,
              dataType: "json",
              data: {
                eqw_id: id,
              },
              success: function (response) {
                if (response.status == false) {
                  console.log(response.message);
                } else if (response.status == true) {
                  iziToast.show({
                    title: "Success",
                    message: "Eq delete successfully",
                    color: "green",
                    position: toastPosition,
                    transitionIn: transitionInAction,
                    transitionOut: transitionOutAction,
                    timeout: 3000,
                    animateInside: false,
                    iconUrl: `${domainUrl}asset/img/check-circle.svg`,
                  });
                  $("#eqwTable").DataTable().ajax.reload(null, false);
                }
              },
            });
          }
        }
      });
    } else {
      iziToast.show({
        title: "Oops",
        message: "You are tester",
        color: "red",
        position: toastPosition,
        transitionIn: transitionInAction,
        transitionOut: transitionOutAction,
        timeout: 3000,
        animateInside: false,
        iconUrl: `${domainUrl}asset/img/x.svg`,
      });
    }
  });
});
