@extends('include.app')
@section('header')
    <script src="{{ asset('asset/script/category.js') }}"></script>
@endsection

@section('content')

<section class="section">
    <div class="card">
        <div class="card-header">
            <div class="page-title w-100">
                <div class="d-flex align-items-center justify-content-between">
                    <h4 class="mb-0 fw-semibold text-capitalize">{{ __('Categories') }}</h4>
                    <button type="button" class="btn theme-bg theme-btn text-white text-capitalize" data-bs-toggle="modal"
                        data-bs-target="#categoryModal" id="addCategoryType">
                        {{ __('Add Category') }}
                    </button>
                </div>
            </div>
        </div>
        <div class="card-body">
            <table class="table table-striped w-100" id="categoryTable">
                <thead>
                    <tr>
                        <th width="100px">{{ __('Image') }}</th>
                        <th width="100%">{{ __('Title') }}</th>
                        <th width="200px" style="text-align: right">{{ __('Action') }}</th>
                    </tr>
                </thead>
            </table>
        </div>
    </div>
   
</section>

 
    <!-- Category Modal -->
    <div class="modal fade" id="categoryModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-sm-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h1 class="modal-title fs-5 fw-semibold text-capitalize" id="exampleModalLabel">{{ __('Add Category') }}</h1>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <form id="addCategoryForm" method="post">
                    <div class="modal-body">
                        <div class="form-group">
                            <label for="title" class="form-label">{{ __('Title') }}</label>
                            <input type="text" class="form-control" name="title" id="category" required="">
                        </div>
                        <div class="form-group">
                            <label for="image" class="form-label">{{ __('Image') }}</label>
                            <div class="posterImg">
                                <div class="upload-options">
                                    <label for="poster"> 
                                        <input type="file" accept=".png, .jpg, .jpeg, .webp" onchange="loadFile(event)" name="image" id="poster" required>
                                    </label>
                                </div>
                                <img id="posterImg" class="custom_img img-fluid" src="{{ asset('asset/img/placeholder-image.png')}}">
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn modal-cancel-btn"
                            data-bs-dismiss="modal">{{ __('Cancel') }}</button>
                        <button type="submit" class="btn theme-btn text-white saveButton">{{ __('Save') }}</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <!-- Edit Category Modal -->
    <div class="modal fade" id="editCategoryModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h1 class="modal-title fs-5 fw-semibold text-capitalize" id="exampleModalLabel">{{ __('Edit Category') }}</h1>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <form id="editCategoryForm" method="post">
                    <input type="hidden" id="categoryID">
                    <div class="modal-body">
                        <div class="form-group">
                            <label for="title" class="form-label">{{ __('Title') }}</label>
                            <input type="text" class="form-control" name="title" id="editCategory" required="">
                        </div>
                        <div class="form-group">
                            <label for="image" class="form-label">{{ __('Image') }}</label>
                            <div class="posterImg editContent">
                                <div class="upload-options">
                                    <label for="poster1"> 
                                        <input type="file" accept=".png, .jpg, .jpeg, .webp" onchange="loadFileEdit(event)" name="image" id="poster1">
                                    </label>
                                </div>
                                <img id="posterImgEdit" class="custom_img img-fluid" src="{{ asset('asset/img/placeholder-image.png')}}">
                            </div>
                        </div>
                    </div>
                    
                    <div class="modal-footer">
                      <button type="button" class="btn modal-cancel-btn"
                            data-bs-dismiss="modal">{{ __('Cancel') }}</button>
                        <button type="submit" class="btn theme-btn text-white saveButton1">{{ __('Save') }}</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <script>


var loadFile = function(event) {
    var output = document.getElementById('posterImg');
    output.src = URL.createObjectURL(event.target.files[0]);
    output.onload = function() {
        URL.revokeObjectURL(output.src)
    }
};

var loadFileEdit = function(event) {
    var output = document.getElementById('posterImgEdit');
    output.src = URL.createObjectURL(event.target.files[0]); 
    output.onload = function() {
        URL.revokeObjectURL(output.src)
    }
};
 

    </script>
@endsection
