@extends('include.app')
@section('header')
    <script src="{{ asset('asset/script/eq.js') }}"></script>
@endsection

@section('content')

<section class="section">
    <div class="card">
        <div class="card-header">
            <div class="page-title w-100">
                <div class="d-flex align-items-center justify-content-between">
                    <h4 class="mb-0 fw-semibold">{{ __('EQ Strains') }}</h4>
                    <button type="button" class="btn theme-bg theme-btn text-white text-capitalize" data-bs-toggle="modal"
                        data-bs-target="#eqModal">
                        {{ __('Add EQ') }}
                    </button>
                </div>
            </div>
        </div>
        <div class="card-body">
            <table class="table table-striped w-100" id="eqTable">
                <thead>
                    <tr>
                        <th width="100px">Strain</th>
                        <th width="100px">Type</th>
                        <th width="100px">Rating</th>
                        <th width="134px">EQ</th>
                        <th width="100px">Effects</th>
                        <th width="100px">Flavor</th>
                        <th width="100px">Description</th>
                        <th width="200px" style="text-align: right">{{ __('Action') }}</th>
                    </tr>
                </thead>
            </table>
        </div>
    </div>  
</section>


<!-- eq Modal -->
<div class="modal fade" id="eqModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-sm-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5 fw-semibold text-capitalize" id="exampleModalLabel">{{ __('Add eq') }}</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form id="addEqForm" method="post">
                <div class="modal-body">
                    <div class="row">
                        <div class="form-group">
                            <label>Strain</label>
                            <input type="text" id="eq_strain" name="strain" class="form-control" required>
                        </div>
                        <div class="form-group">
    <label for="eqw_type">Type</label>
    <select id="eqw_type" name="type" class="form-control" required>
        <option value="">Select Type</option>
        <option value="Indica">Indica</option>
        <option value="Sativa">Sativa</option>
        <option value="Hybrid">Hybrid</option>
    </select>
</div>

                        <div class="form-group">
                            <label>Rating</label>
                            <input type="text" id="eq_rating" name="rating" class="form-control" required>
                        </div>
                        <div class="form-group">
                            <label>EQ</label>
                            <input type="text" id="eq_eq" name="eq" class="form-control" required>
                        </div>
                        <div class="form-group">
                            <label>Effects</label>
                            <input type="text" id="eq_effects" name="effects" class="form-control" required>
                        </div>
                        <div class="form-group">
                            <label>Flavor</label>
                            <input type="text" id="eq_flavor" name="flavor" class="form-control" required>
                        </div>
                        <div class="form-group">
                            <label>Description</label>
                            <input type="text" id="eq_description" name="description" class="form-control" required>
                        </div>
                        
                        <div class="form-group">
                            <input class="btn btn-primary mr-1" type="submit" id="addeq2" value="Add EQ">
                        </div>
                    </div>
                    
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn modal-cancel-btn"
                        data-bs-dismiss="modal">{{ __('Cancel') }}</button>
                    <button type="submit" class="btn theme-btn text-white saveButton">{{ __('Save') }}</button>
                </div>
            </form>
        </div>
    </div>
</div>


<!-- Edit eq Modal -->
<div class="modal fade" id="editEqModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-sm-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5 fw-semibold text-capitalize" id="exampleModalLabel">{{ __('Edit Eq') }}</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form id="editEqForm" method="post">
                <input type="hidden" id="eqID">
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-8">
                            <div class="form-group">
                                <label for="">Strain</label>
                                <input type="text" class="form-control" id="edit_strain" name="strain"  required>
                            </div>
                            <div class="form-group">
                                <label for="">Type</label>
                                <input type="text" class="form-control" id="edit_type" name="type"  required>
                            </div>
                            <div class="form-group">
                                <label for="">Rating</label>
                                <input type="text" class="form-control" id="edit_rating" name="rating"  required>
                            </div>
                            <div class="form-group">
                                <label for="">EQ</label>
                                <input type="text" class="form-control" id="edit_eq" name="eq"  required>
                            </div>
                            <div class="form-group">
                                <label for="">Effects</label>
                                <input type="text" class="form-control" id="edit_effects" name="effects"  required>
                            </div>
                            <div class="form-group">
                                <label for="">flavor</label>
                                <input type="text" class="form-control" id="edit_flavor" name="flavor"  required>
                            </div>
                           <div class="form-group">
                                <label for="">Description</label>
                                <input type="text" class="form-control" id="edit_description" name="description"  required>
                            </div>
                        </div>
                       
                    </div>
                   
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn modal-cancel-btn" data-bs-dismiss="modal">{{ __('Cancel') }}</button>
                    <button type="submit" class="btn theme-btn text-white saveButton">{{ __('Save') }}</button>
                </div>
            </form>
        </div>
    </div>
</div>
  
<script>
    var loadFile = function(event) {
        var output = document.getElementById('posterImg');
        output.src = URL.createObjectURL(event.target.files[0]);
        output.onload = function() {
            URL.revokeObjectURL(output.src)
        }
    };

    var loadFileEdit = function(event) {
        var output1 = document.getElementById('editPosterImg');
        output1.src = URL.createObjectURL(event.target.files[0]); 
        output1.onload = function() {
            URL.revokeObjectURL(output1.src)
        }
        console.log(output1);
    };
</script>
@endsection
