@extends('include.app')
@section('header')
<script src="{{ asset('asset/script/index.js') }}"></script>
@endsection

@section('content') 
<section class="section dashboard-section">

    <div class="dashboard-cards">
        <div class="dashboard-blog">
            <div class="dashboard-blog-content-top">
                <h4 class="mb-0">{{ __('All users') }}</h4>
                <p> {{ $users }}</p>
                <a href="{{ route('users') }}">{{ __('View more') }}</a>
            </div>
            <div class="dashboard-blog-content">
                <div class="card-icon">
                    <svg viewBox="0 0 24 24" width="24" height="24" stroke="currentColor" stroke-width="2" fill="none" stroke-linecap="round" stroke-linejoin="round" class="css-i6dzq1"><path d="M20 21v-2a4 4 0 0 0-4-4H8a4 4 0 0 0-4 4v2"></path><circle cx="12" cy="7" r="4"></circle></svg>
                </div>
            </div>
        </div>
        <div class="dashboard-blog">
            <div class="dashboard-blog-content-top">
                <h4 class="mb-0">{{ __('Categories') }}</h4>
                <p> {{ $categories }}</p>
                 <a href="{{ route('categories') }}">{{ __('View more') }}</a>
            </div>
            <div class="dashboard-blog-content">
                <div class="card-icon">
                    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-box"><path d="M21 16V8a2 2 0 0 0-1-1.73l-7-4a2 2 0 0 0-2 0l-7 4A2 2 0 0 0 3 8v8a2 2 0 0 0 1 1.73l7 4a2 2 0 0 0 2 0l7-4A2 2 0 0 0 21 16z"></path><polyline points="3.27 6.96 12 12.01 20.73 6.96"></polyline><line x1="12" y1="22.08" x2="12" y2="12"></line></svg>
                </div>
            </div>
        </div>
        <div class="dashboard-blog">
            <div class="dashboard-blog-content-top">
                <h4 class="mb-0">{{ __('Musics') }}</h4>
                <p> {{ $musics }}</p>
                 <a href="{{ route('musics') }}">{{ __('View more') }}</a>
            </div>
            <div class="dashboard-blog-content">
                <div class="card-icon">
                    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-music"><path d="M9 18V5l12-2v13"></path><circle cx="6" cy="18" r="3"></circle><circle cx="18" cy="16" r="3"></circle></svg>
                </div>
            </div>
        </div>
        <div class="dashboard-blog">
            <div class="dashboard-blog-content-top">
                <h4 class="mb-0">{{ __('Articles') }}</h4>
                <p> {{ $articles }}</p>
                <a href="{{ route('articles') }}">{{ __('View more') }}</a>
            </div>
            <div class="dashboard-blog-content">
                <div class="card-icon">
                    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-book-open"><path d="M2 3h6a4 4 0 0 1 4 4v14a3 3 0 0 0-3-3H2z"></path><path d="M22 3h-6a4 4 0 0 0-4 4v14a3 3 0 0 1 3-3h7z"></path></svg>
                </div>
            </div>
        </div>
        <div class="dashboard-blog">
            <div class="dashboard-blog-content-top">
                <h4 class="mb-0">{{ __('Quotes') }}</h4>
                <p> {{ $quotes }}</p>
                <a href="{{ route('quotes') }}">{{ __('View more') }}</a>
            </div>
            <div class="dashboard-blog-content">
                <div class="card-icon">
                    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-feather"><path d="M20.24 12.24a6 6 0 0 0-8.49-8.49L5 10.5V19h8.5z"></path><line x1="16" y1="8" x2="2" y2="22"></line><line x1="17.5" y1="15" x2="9" y2="15"></line></svg>
                </div>
            </div>
        </div>
        <div class="dashboard-blog">
            <div class="dashboard-blog-content-top">
                <h4 class="mb-0">{{ __('Notifications') }}</h4>
                <p> {{ $notifications }}</p>
                <a href="{{ route('notifications') }}">{{ __('View more') }}</a>
            </div>
            <div class="dashboard-blog-content">
                <div class="card-icon">
                    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-bell"><path d="M18 8A6 6 0 0 0 6 8c0 7-3 9-3 9h18s-3-2-3-9"></path><path d="M13.73 21a2 2 0 0 1-3.46 0"></path></svg>
                </div>
            </div>
        </div>
    </div>
</section>
@endsection