@extends('include.app')
@section('header')
    <script src="{{ asset('asset/script/quote.js') }}"></script>
@endsection

@section('content')

<section class="section">
    <div class="card">
        <div class="card-header">
            <div class="page-title w-100">
                <div class="d-flex align-items-center justify-content-between">
                    <h4 class="mb-0 fw-semibold">{{ __('Quotes') }}</h4>
                    <button type="button" class="btn theme-bg theme-btn text-white" data-bs-toggle="modal"
                        data-bs-target="#quoteModal">
                        {{ __('Add Quote') }}
                    </button>
                </div>
            </div>
        </div>
        <div class="card-body">
            <table class="table table-striped w-100" id="quoteTable">
                <thead>
                    <tr>
                        <th width="100%">{{ __('Quotes') }}</th>
                        <th width="200px" style="text-align: right">{{ __('Action') }}</th>
                    </tr>
                </thead>
            </table>
        </div>
    </div>  
</section>


<!-- Quote Modal -->
<div class="modal fade" id="quoteModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-sm-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5 fw-semibold text-capitalize" id="exampleModalLabel">{{ __('Add Quote') }}</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form id="addQuoteForm" method="post">
                <div class="modal-body">
                    <div class="form-group m-0">
                        <label for="title" class="form-label">{{ __('Title') }}</label>
                        <textarea name="title" cols="20" rows="5" class="form-control" id="title"></textarea>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn modal-cancel-btn" data-bs-dismiss="modal">{{ __('Cancel') }}</button>
                    <button type="submit" class="btn theme-btn text-white saveButton">{{ __('Save') }}</button>
                </div>
            </form>
        </div>
    </div>
</div>

<!-- Edit quote Modal -->
<div class="modal fade" id="editQuoteModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-sm-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5 fw-semibold text-capitalize" id="exampleModalLabel">{{ __('Edit Quote') }}</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form id="editQuoteForm" method="post">
                <input type="hidden" id="quoteID">
                <div class="modal-body">
                    <div class="form-group m-0">
                        <label for="edit_title" class="form-label">{{ __('Title') }}</label>
                        <textarea name="title" cols="20" rows="5" class="form-control" id="edit_title"></textarea>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn modal-cancel-btn" data-bs-dismiss="modal">{{ __('Cancel') }}</button>
                    <button type="submit" class="btn theme-btn text-white saveButton">{{ __('Save') }}</button>
                </div>
            </form>
        </div>
    </div>
</div>



  
@endsection
