@extends('include.app')
@section('header')
    <script src="{{ asset('asset/script/setting.js') }}"></script>
@endsection

@section('content')
    <div class="row same-height-card">
        <div class="col-lg-6 col-md-6 col-sm-12">
            <div class="card">
                <div class="card-header">
                    <div class="page-title w-100">
                        <div class="d-flex align-items-center justify-content-between">
                            <h4 class="mb-0 fw-semibold">{{ __('Settings') }}</h4>
                        </div>
                    </div>
                </div>
                <div class="card-body px-4">
                    <form id="settingsForm" method="post" enctype="multipart/form-data" class="form-border" autocomplete="off">
                        @csrf
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label for="currency" class="form-label">{{ __('App name') }}</label>
                                    <input value="{{ $setting->app_name }}" type="text" name="app_name" class="form-control" required>
                                </div>
                            </div>
                        </div>
                        <div class="mt-2 float-end">
                            <button type="submit" class="btn theme-btn text-white saveButton2">{{ __('Save') }}</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <div class="col-lg-6 col-md-8 col-sm-12">
            <div class="card">
                <div class="card-header">
                    <div class="page-title w-100">
                        <div class="d-flex align-items-center justify-content-between">
                            <h4 class="mb-0 fw-semibold">{{ __('Change Password') }}</h4>
                        </div>
                    </div>
                </div>
                <div class="card-body px-4">
                    <form id="changePasswordForm" method="POST">
                        <div class="row">
                            <div class="col-lg-6 col-md-6 col-sm-12 position-relative">
                                <div class="form-group">
                                    <label for="appName" class="form-label">{{ __('Old password') }}</label>
                                    <input type="password" class="form-control" name="user_password" id="userPassword" required="">
                                    <div class="password-icon">
                                        <i data-feather="eye"></i>
                                        <i data-feather="eye-off"></i>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-6 col-md-6 col-sm-12 position-relative">
                                <div class="form-group">
                                    <label for="appName" class="form-label">{{ __('New password') }}</label>
                                    <input type="password" class="form-control" name="new_password" id="newPassword" required="">
                                    <div class="password-icon">
                                        <i data-feather="eye" class="eye1"></i>
                                        <i data-feather="eye-off" class="eye-off1"></i>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="modal-footer p-0">
                            <button type="button" class="btn"></button>
                            <button type="submit" class="btn theme-btn text-white saveButton3">{{ __('Change Password') }}</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <form id="admobForm" method="post">
        <div class="card">
        <div class="row">
                <div class="col-lg-6 col-md-6 col-sm-12">
                    <div class="card-header">
                        <h4 class="mb-0 fw-semibold">{{ __('Admob Android') }}</h4>
                    </div>
                    <div class="card-body px-4">
                        <div class="row">
                            <div class="col-lg-12 col-md-12">
                                <div class="form-group">
                                    <label for="title" class="form-label">{{ __('Banner id') }}</label>
                                    <input type="text" class="form-control" name="banner_id_android" required="" value="{{ $setting->banner_id_android }}">
                                </div>
                            </div>
                            <div class="col-lg-12 col-md-12">
                                <div class="form-group">
                                    <label for="title" class="form-label">{{ __('Intersial id') }}</label>
                                    <input type="text" class="form-control" name="intersial_id_android" required="" value="{{ $setting->intersial_id_android }}">
                                </div>
                            </div>
                        </div> 
                    </div>
                </div>
                <div class="col-lg-6 col-md-6 col-sm-12">
                    <div class="card-header">
                        <h4 class="mb-0 fw-semibold">{{ __('Admob iOS') }}</h4>
                    </div>
                    <div class="card-body px-4">
                        <div class="row">
                            <div class="col-lg-12 col-md-12">
                                <div class="form-group">
                                    <label for="title" class="form-label">{{ __('Banner id') }}</label>
                                    <input type="text" class="form-control" name="banner_id_ios" required="" value="{{ $setting->banner_id_ios }}">
                                </div>
                            </div>
                            <div class="col-lg-12 col-md-12">
                                <div class="form-group">
                                    <label for="title" class="form-label">{{ __('Intersial id') }}</label>
                                    <input type="text" class="form-control" name="intersial_id_ios" required="" value="{{ $setting->intersial_id_ios }}">
                                </div>
                            </div>
                        </div> 
                        <div class="modal-footer px-0 pb-0">
                            <button type="submit" class="btn theme-btn text-white saveButton4">{{ __('Save Admob Settings') }}</button>
                        </div>
                    </div>
                </div>
            </div>
           
        </div>
    </form>
@endsection
