@extends('include.app')
@section('content')

    <div class="card mt-3">

        <div class="card-header">
            <h4> Strain List</h4>
        </div>

        <div class="card-body">

            <div class="table-responsive">
                <table class="table table-striped" id="strainTable">
                    <thead>
                        <tr>
                
                            <th>Name</th>
                            <th>User</th>
                            <th>Status</th>
                            <th>Created At</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody id="">

                    </tbody>
                </table>
            </div>





        </div>

    </div>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

    <script>
        $(document).ready(function() {
            $('#strainTable').dataTable({
                "search": false,
                // 'processing': true,
                // 'serverSide': true,
                'serverMethod': 'get',
                "order": [
                    [0, "desc"]
                ],
                'columnDefs': [{
                    'targets': [0],
                    /* column index */
                    'orderable': false,
                    /* true or false */
                }],
                'ajax': {
                    'url': '{{ route('fetchAllStrain') }}',
                    'data': function(data) {

                    }
                }
            });
            
            
           $(document).on('click', '.change_status', function() {
                let id = $(this).data('id');
                let url = "{{ route('approveStatus', ['id' => ':id']) }}";
                url = url.replace(':id', id);
                $.ajax({
                    url: url,
                    method: "GET",
                    success: function(response) {
                        $('#strainTable').DataTable().ajax.reload(null, false);
                    },
                    error: function(error) {
                        console.log(error);    
                    }
                })
            });
            
             $(document).on('click', '.delete_btn', function() {
                let id = $(this).data('id');
                let url = "{{ route('deleteStrain', ['id' => ':id']) }}";
                url = url.replace(':id', id);
                $.ajax({
                    url: url,
                    method: "GET",
                    success: function(response) {
                        $('#strainTable').DataTable().ajax.reload(null, false);
                    },
                    error: function(error) {
                        console.log(error);    
                    }
                })
            });
            

        });

    </script>

@endsection
