<?php 

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

use App\Http\Controllers\MusicController;
use App\Http\Controllers\EqController;
use App\Http\Controllers\EqwController;
use App\Http\Controllers\StrainController;

use App\Http\Controllers\SettingsController;
use App\Http\Controllers\UserController;
use Illuminate\Support\Facades\Route;

Route::post('testSearch', [SettingsController::class, 'testSearch'])->name('testSearch');

Route::post('fetchAllData', [SettingsController::class, 'fetchAllData'])->middleware('checkHeader');
Route::post('registerUser', [UserController::class, 'registerUser'])->middleware('checkHeader');
Route::post('editProfile', [UserController::class, 'editProfile'])->middleware('checkHeader');
Route::post('deleteMyAccount', [UserController::class, 'deleteMyAccount'])->middleware('checkHeader');
Route::post('fetchUserProfile', [UserController::class, 'fetchUserProfile'])->middleware('checkHeader');
Route::post('logout', [UserController::class, 'logout'])->middleware('checkHeader');

Route::post('playSound', [MusicController::class, 'playSound'])->middleware('checkHeader');
Route::post('getEq',[EqController::class,'getEqs'])->middleware('checkHeader');
Route::post('getEqw',[EqwController::class,'getEqws'])->middleware('checkHeader');
Route::post('register-strain',[StrainController::class,'addStrain']);