<?php

use App\Http\Controllers\ArticleController;
use App\Http\Controllers\CategoryController;
use App\Http\Controllers\LoginController;
use App\Http\Controllers\MusicController;
use App\Http\Controllers\EqController;
use App\Http\Controllers\EqwController;
use App\Http\Controllers\StrainController;
use App\Http\Controllers\NotificationController;
use App\Http\Controllers\PagesController;
use App\Http\Controllers\QuoteController;
use App\Http\Controllers\SettingsController;
use App\Http\Controllers\UserController;
use Illuminate\Support\Facades\Artisan;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/linkstorage', function () {
    Artisan::call('storage:link');
});

Route::get('/', [LoginController::class, 'login'])->name('/');
Route::post('login', [LoginController::class, 'checklogin'])->middleware(['checkLogin'])->name('login');
Route::get('index', [SettingsController::class, 'index'])->middleware(['checkLogin'])->name('index');
Route::get('logout', [LoginController::class, 'logout'])->middleware(['checkLogin'])->name('logout');

Route::get('users', [UserController::class, 'users'])->middleware(['checkLogin'])->name('users');
Route::post('usersList', [UserController::class, 'usersList'])->middleware(['checkLogin'])->name('usersList');

Route::get('setting', [SettingsController::class, 'setting'])->middleware(['checkLogin'])->name('setting');
Route::post('saveSettings', [SettingsController::class, 'saveSettings'])->middleware(['checkLogin'])->name('saveSettings');
Route::post('changePassword', [SettingsController::class, 'changePassword'])->middleware(['checkLogin'])->name('changePassword');
Route::post('admobSettingSave', [SettingsController::class, 'admobSettingSave'])->middleware(['checkLogin'])->name('admobSettingSave');

Route::get('musics', [MusicController::class, 'musics'])->middleware(['checkLogin'])->name('musics');
Route::post('musicList', [MusicController::class, 'musicList'])->middleware(['checkLogin'])->name('musicList');
Route::post('addMusic', [MusicController::class, 'addMusic'])->middleware(['checkLogin'])->name('addMusic');
Route::post('updateMusic', [MusicController::class, 'updateMusic'])->middleware(['checkLogin'])->name('updateMusic');
Route::post('updateFeatured', [MusicController::class, 'updateFeatured'])->middleware(['checkLogin'])->name('updateFeatured');
Route::post('deleteMusic', [MusicController::class, 'deleteMusic'])->middleware(['checkLogin'])->name('deleteMusic');

Route::get('categories', [CategoryController::class, 'categories'])->middleware(['checkLogin'])->name('categories');
Route::post('categoryList', [CategoryController::class, 'categoryList'])->middleware(['checkLogin'])->name('categoryList');
Route::post('addCategory', [CategoryController::class, 'addCategory'])->middleware(['checkLogin'])->name('addCategory');
Route::post('updateCategory', [CategoryController::class, 'updateCategory'])->middleware(['checkLogin'])->name('updateCategory');
Route::post('deleteCategory', [CategoryController::class, 'deleteCategory'])->middleware(['checkLogin'])->name('deleteCategory');

Route::get('articles', [ArticleController::class, 'articles'])->middleware(['checkLogin'])->name('articles');
Route::post('articleList', [ArticleController::class, 'articleList'])->middleware(['checkLogin'])->name('articleList');
Route::post('addArticle', [ArticleController::class, 'addArticle'])->middleware(['checkLogin'])->name('addArticle');
Route::post('updateArticle', [ArticleController::class, 'updateArticle'])->middleware(['checkLogin'])->name('updateArticle');
Route::post('deleteArticle', [ArticleController::class, 'deleteArticle'])->middleware(['checkLogin'])->name('deleteArticle');


Route::get('quotes', [QuoteController::class, 'quotes'])->middleware(['checkLogin'])->name('quotes');
Route::post('quoteList', [QuoteController::class, 'quoteList'])->middleware(['checkLogin'])->name('quoteList');
Route::post('addQuote', [QuoteController::class, 'addQuote'])->middleware(['checkLogin'])->name('addQuote');
Route::post('updateQuote', [QuoteController::class, 'updateQuote'])->middleware(['checkLogin'])->name('updateQuote');
Route::post('deleteQuote', [QuoteController::class, 'deleteQuote'])->middleware(['checkLogin'])->name('deleteQuote');



// Notification
Route::get('notifications', [NotificationController::class, 'notifications'])->middleware(['checkLogin'])->name('notifications');
Route::post('sendNotification', [NotificationController::class, 'sendNotification'])->middleware(['checkLogin'])->name('sendNotification');
Route::post('notificationList', [NotificationController::class, 'notificationList'])->middleware(['checkLogin'])->name('notificationList');
Route::post('updateNotification', [NotificationController::class, 'updateNotification'])->middleware(['checkLogin'])->name('updateNotification');
Route::post('repeatNotification', [NotificationController::class, 'repeatNotification'])->middleware(['checkLogin'])->name('repeatNotification');
Route::post('deleteNotification', [NotificationController::class, 'deleteNotification'])->middleware(['checkLogin'])->name('deleteNotification');
 
Route::get('subscription', [SettingsController::class, 'subscription'])->middleware(['checkLogin'])->name('subscription');
Route::post('monthlySubscription', [SettingsController::class, 'monthlySubscription'])->middleware(['checkLogin'])->name('monthlySubscription');
Route::post('yearlySubscription', [SettingsController::class, 'yearlySubscription'])->middleware(['checkLogin'])->name('yearlySubscription');


Route::get('viewPrivacy', [PagesController::class, 'viewPrivacy'])->middleware(['checkLogin'])->name('viewPrivacy');
Route::post('updatePrivacy', [PagesController::class, 'updatePrivacy'])->middleware(['checkLogin'])->name('updatePrivacy');
Route::post('addContentForm', [PagesController::class, 'addContentForm'])->middleware(['checkLogin'])->name('addContentForm');
Route::post('addTermsForm', [PagesController::class, 'addTermsForm'])->middleware(['checkLogin'])->name('addTermsForm');
Route::post('updateTerms', [PagesController::class, 'updateTerms'])->middleware(['checkLogin'])->name('updateTerms');
Route::get('viewTerms', [PagesController::class, 'viewTerms'])->middleware(['checkLogin'])->name('viewTerms');
Route::get('privacyPolicy', [PagesController::class, 'privacyPolicy'])->name('privacyPolicy');
Route::get('termsOfUse', [PagesController::class, 'termsOfUse'])->name('termsOfUse');

/*|--------------------------------------------------------------------------|
  | Eq Route                                                           |
  |--------------------------------------------------------------------------|*/

Route::view('eqs', 'eq')->middleware(['checkLogin'])->name('eqs');
Route::get('eq', [EqController::class, 'geteq'])->middleware(['checkLogin'])->name('eq');

Route::post('deleteeq', [EqController::class, 'deleteEq'])->name('deleteEq')->middleware(['checkLogin']);
Route::post('addeq', [EqController::class, 'addEq'])->middleware(['checkLogin'])->name('addeq');
Route::post('fetchAllEq', [EqController::class, 'fetchAllEq'])->middleware(['checkLogin'])->name('fetchAllEq');
Route::post('updateeq', [EqController::class, 'updateEq'])->middleware(['checkLogin'])->name('updateeq');

/*|--------------------------------------------------------------------------|
  | EqWell Route                                                           |
  |--------------------------------------------------------------------------|*/

Route::view('eqsw', 'eqw')->middleware(['checkLogin'])->name('eqsw');
Route::get('eqw', [EqwController::class, 'geteqw'])->middleware(['checkLogin'])->name('eqw');

Route::post('deleteeqw', [EqwController::class, 'deleteEqw'])->name('deleteEqw')->middleware(['checkLogin']);
Route::post('addeqw', [EqwController::class, 'addEqw'])->middleware(['checkLogin'])->name('addeqw');
Route::post('fetchAllEqw', [EqwController::class, 'fetchAllEqw'])->middleware(['checkLogin'])->name('fetchAllEqw');
Route::post('updateeqw', [EqwController::class, 'updateEqw'])->middleware(['checkLogin'])->name('updateeqw');

/*|--------------------------------------------------------------------------|
  | strain Route                                                           |
  |--------------------------------------------------------------------------|*/

Route::get('strain', function() {
    return view("strain");
})->name('strain');

Route::get('fetchAllStrain', [StrainController::class, 'fetchAllStrain'])->name('fetchAllStrain');
Route::get("approveStatus/{id}", [StrainController::class, 'approveStatus'])->name('approveStatus');
Route::get("deleteStrain/{id}", [StrainController::class, 'deleteStrain'])->name('deleteStrain');
