<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, shrink-to-fit=no" name="viewport">
    <title><?php echo Session::get('app_name'); ?></title>
    <link rel='shortcut icon' type='image/x-icon' href="<?php echo e(asset('asset/img/favicon.png')); ?>" style="width: 2px !important;" />
    <link href="https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap" rel="stylesheet">
     <link href="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote.min.css" rel="stylesheet">
    <link href="<?php echo e(asset('asset/cdncss/quill.css')); ?>" rel="stylesheet" /> 
    <link href="<?php echo e(asset('asset/cdncss/iziToast.css')); ?>" rel="stylesheet" /> 
    <link href="<?php echo e(asset('asset/cdncss/select2.css')); ?>" rel="stylesheet" /> 
    <link href="<?php echo e(asset('asset/css/bootstrap.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('asset/css/style.css')); ?>" rel="stylesheet">
</head>
<body>

<div class="loader-bg">
    <div class="loader"></div>
</div>

    <div id="app">
        <div class="main-wrapper main-wrapper-1">
            <div class="navbar-bg"></div>
            <nav class="navbar navbar-expand-lg main-navbar sticky">
                <div class="form-inline mr-auto">
                     <ul class="navbar-nav mr-3">
                        <li>
                            <a href="#" data-toggle="sidebar" class="nav-link nav-link-lg collapse-btn">
                                <i data-feather="menu"></i>
                            </a>
                        </li>
                    </ul>
                </div>
                <ul class="navbar-nav navbar-right">
                    <li class="dropdown">
                        <a href="#" data-toggle="dropdown" class="nav-link dropdown-toggle nav-link-lg nav-link-user">
                            <span class="profile-btn">
                                <i data-feather="user"></i>
                            </span>
                        </a>
                        <div class="dropdown-menu dropdown-menu-right pullDown">
                            <a href="<?php echo e(route('logout')); ?>" class="dropdown-item has-icon text-danger">
                                <i data-feather="log-out"></i>
                                <?php echo e(__('Log out')); ?>

                            </a>
                        </div>
                    </li>
                </ul>
            </nav>
            
            <div class="main-sidebar sidebar-style-2">
                <div class="sidebar-brand" id="reloadContent">
                    <a href="<?php echo e(route('index')); ?>">
                        <span class="logo-name"><?php echo Session::get('app_name'); ?></span>
                        <span class="logo-name-small"><?php echo Session::get('app_name'); ?></span>
                    </a>
                </div>
                <aside id="sidebar-wrapper">
                    <ul class="sidebar-menu">
                        <li class="sideBarli indexSideA">
                            <a href="<?php echo e(route('index')); ?>" class="nav-link" >
                                <i data-feather="home"></i>
                                <span> <?php echo e(__('Dashboard')); ?> </span>
                            </a>
                        </li>
                        <li class="sideBarli userSideA">
                            <a href="<?php echo e(route('users')); ?>" class="nav-link">
                                <i data-feather="users"></i>
                                <span> <?php echo e(__('Users')); ?> </span>
                            </a>
                        </li>
                        <li class="sideBarli categorySideA">
                            <a href="<?php echo e(route('categories')); ?>" class="nav-link">
                                <i data-feather="box"></i>
                                <span> <?php echo e(__('Categories')); ?> </span>
                            </a>
                        </li>
                        <li class="sideBarli musicSideA">
                            <a href="<?php echo e(route('musics')); ?>" class="nav-link">
                                <i data-feather="music"></i>
                                <span> <?php echo e(__('Music')); ?> </span>
                            </a>
                        </li>
                        <li class="sideBarli musicSideA">
                            <a href="<?php echo e(route('eqs')); ?>" class="nav-link">
                                <i data-feather="music"></i>
                                <span> <?php echo e(__('Ai Strain')); ?> </span>
                            </a>
                        </li>
                                               <li class="sideBarli musicSideA">
                            <a href="<?php echo e(route('eqsw')); ?>" class="nav-link">
                                <i data-feather="music"></i>
                                <span> <?php echo e(__('Ai Wellness')); ?> </span>
                            </a>
                        </li>
                        <li class="sideBarli articleSideA">
                            <a href="<?php echo e(route('articles')); ?>" class="nav-link">
                                <i data-feather="book-open"></i>
                                <span> <?php echo e(__('Articles')); ?> </span>
                            </a>
                        </li>
                         <li class="">
                            <a href="<?php echo e(route('strain')); ?>" class="nav-link"><i
                                    class="fas fa-check-circle"></i><span>Strain</span></a>
                        </li>
                        
                        <li class="sideBarli quoteSideA">
                            <a href="<?php echo e(route('quotes')); ?>" class="nav-link">
                                <i data-feather="feather"></i>
                                <span> <?php echo e(__('Quotes')); ?> </span>
                            </a>
                        </li>
                        <li class="sideBarli notificationSideA">
                            <a href="<?php echo e(route('notifications')); ?>" class="nav-link">
                                <i data-feather="bell"></i>
                                <span> <?php echo e(__('Notifications')); ?> </span>
                            </a>
                        </li>
                        <li class="sideBarli settingSideA">
                            <a href="<?php echo e(route('setting')); ?>" class="nav-link">
                                <i data-feather="settings"></i>
                                <span> <?php echo e(__('Settings')); ?> </span>
                            </a>
                        </li>
                        <hr>
                        <li class="sideBarli privacySideA">
                            <a href="<?php echo e(route('viewPrivacy')); ?>" class="nav-link">
                                <i data-feather="shield"></i>
                                <span><?php echo e(__('Privacy Policy')); ?></span>
                            </a>
                        </li>
                        <li class="sideBarli termsSideA">
                            <a href="<?php echo e(route('viewTerms')); ?>" class="nav-link">
                                <i data-feather="clipboard"></i>
                                <span><?php echo e(__('Terms of use')); ?></span>
                            </a>
                        </li>
                       
                    </ul>
                </aside>
            </div>
            <!-- Main Content -->
            <div class="main-content">
                <?php echo $__env->yieldContent('content'); ?>
                <form action="">
                    <input type="hidden" id="user_type" value="<?php echo e(session('user_type')); ?>">
                </form>
            </div>
        </div>
    </div>


    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="<?php echo e(asset('asset/js/app.min.js ')); ?>"></script>
    <script src="<?php echo e(asset('asset/cdnjs/iziToast.min.js')); ?>"></script>
    <script src="<?php echo e(asset('asset/cdnjs/quill.js')); ?>"></script>
    <script src="<?php echo e(asset('asset/cdnjs/sweetalert.min.js')); ?>"></script>
    <script src="<?php echo e(asset('asset/script/env.js')); ?>"></script> 
    <script src="<?php echo e(asset('asset/bundles/datatables/datatables.min.js ')); ?>"></script>
    <script src="<?php echo e(asset('asset/bundles/jquery-ui/jquery-ui.min.js ')); ?>"></script>
    <script src="<?php echo e(asset('asset/js/scripts.js')); ?>"></script> 
    <script src="<?php echo e(asset('asset/js/bootstrap.min.js')); ?>"></script> 
    <script src="<?php echo e(asset('asset/cdnjs/select2.js')); ?>"></script>
    <script src="<?php echo e(asset('asset/script/app.js')); ?>"></script>

    <script>

        var toolbarOptions = [
        [{ 'header': [1, 2, 3, 4, 5, 6, false] }],
        ['bold', 'italic', 'underline', 'link', 'strike'],
        [{ 'list': 'ordered'}, { 'list': 'bullet' }],
        // [{ 'color': [ "#000000", "#e60000", "#ff9900", "#ffff00", "#008a00", "#0066cc", "#9933ff",
        // "#ffffff", "#facccc", "#ffebcc", "#ffffcc", "#cce8cc", "#cce0f5", "#ebd6ff",
        // "#bbbbbb", "#f06666", "#ffc266", "#ffff66", "#66b966", "#66a3e0", "#c285ff",
        // "#888888", "#a10000", "#b26b00", "#b2b200", "#006100", "#0047b2", "#6b24b2",
        // "#444444", "#5c0000", "#663d00", "#666600", "#003700", "#002966", "#3d1466"] }],
        // [{ 'background': [ "#000000", "#e60000", "#ff9900", "#ffff00", "#008a00", "#0066cc", "#9933ff",
        // "#ffffff", "#facccc", "#ffebcc", "#ffffcc", "#cce8cc", "#cce0f5", "#ebd6ff",
        // "#bbbbbb", "#f06666", "#ffc266", "#ffff66", "#66b966", "#66a3e0", "#c285ff",
        // "#888888", "#a10000", "#b26b00", "#b2b200", "#006100", "#0047b2", "#6b24b2",
        // "#444444", "#5c0000", "#663d00", "#666600", "#003700", "#002966", "#3d1466"] }],
        // [{ 'align': [] }],
        ];

        var quill = new Quill('#editor', {
        modules: {
            toolbar: toolbarOptions
        },
        theme: 'snow'
        });

        var quill2 = new Quill('#editEditor', {
        modules: {
            toolbar: toolbarOptions
        },
        theme: 'snow'
        });
    </script>

    <?php echo $__env->yieldContent('header'); ?> 
</body>

</html><?php /**PATH /home/rosieapi/public_html/api/resources/views/include/app.blade.php ENDPATH**/ ?>