
<?php $__env->startSection('header'); ?>
<script src="<?php echo e(asset('asset/script/music.js')); ?>"></script>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<section class="section">
    <div class="card">
        <div class="card-header">
            <div class="page-title w-100">
                <div class="d-flex align-items-center justify-content-between">
                    <h4 class="mb-0 fw-semibold text-capitalize"><?php echo e(__('Musics')); ?></h4>
                    <button type="button" class="btn theme-bg theme-btn text-white text-capitalize" data-bs-toggle="modal"
                        data-bs-target="#musicModal">
                    <?php echo e(__('Add Music')); ?>

                    </button>
                </div>
            </div>
        </div>
        <div class="card-body">
            <table class="table table-striped w-100" id="musicTable">
                <thead>
                    <tr>
                        <th width="100px"><?php echo e(__('Image')); ?></th>
                        <th width="25%" class="music_td"><?php echo e(__('Music')); ?></th>
                        <th><?php echo e(__('Title')); ?></th>
                        <th><?php echo e(__('Plays')); ?></th>
                        <th><?php echo e(__('Category')); ?></th>
                        <th><?php echo e(__('Type')); ?></th>
                        <th><?php echo e(__('Featured')); ?></th>
                        <th width="200px" style="text-align: right"><?php echo e(__('Action')); ?></th>
                    </tr>
                </thead>
            </table>
        </div>
    </div>
</section>

<!-- Music Modal -->
<div class="modal fade" id="musicModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-sm-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5 fw-semibold text-capitalize" id="exampleModalLabel"><?php echo e(__('Add Music')); ?></h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form id="addMusicForm" method="post">
                <div class="modal-body">
                    <div class="form-group">
                        <label for="title" class="form-label"><?php echo e(__('Title')); ?></label>
                        <input type="text" class="form-control" name="title" id="title" required="">
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="form-label"><?php echo e(__('Category')); ?></label>
                                <select name="category_id" id="category" class="form-control" required>
                                    <option value="" disabled selected><?php echo e(__('Select Option')); ?></option>
                                    <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($category->id); ?>"><?php echo e($category->title); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="form-label"><?php echo e(__('Select Type')); ?> </label>
                                <select name="type" id="type" class="form-control" required>
                                    <option value="" disabled selected><?php echo e(__('Select Type')); ?></option>
                                    <option value="0"><?php echo e(__('Free')); ?></option>
                                    <option value="1"><?php echo e(__('Premium')); ?></option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-8">
                            <div class="form-group">
                                <label for="uploadMusics" class="form-label"><?php echo e(__('Music')); ?></label>
                                <label for="uploadMusic" class="iconformusic">
                                    <?php echo e(__('Select music')); ?>

                                </label>
                                <input type="file" class="form-control" id="uploadMusic" name="audio" style="display: none;" accept="audio/mp3,audio/*;capture=microphone">
                                <audio id="audio" src="" controls></audio>
                            </div> 
                        </div>
                         <div class="col-md-4">
                            <div class="form-group float-end">
                                <label for="image" class="form-label"><?php echo e(__('Image')); ?></label>
                                <div class="posterImg">
                                    <div class="upload-options">
                                        <label for="poster"> 
                                        <input type="file" accept=".png, .jpg, .jpeg, .webp" onchange="loadFile(event)" name="image" id="poster" required>
                                        </label>
                                    </div>
                                    <img id="posterImg" class="custom_img img-fluid" src="<?php echo e(asset('asset/img/placeholder-image.png')); ?>">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn modal-cancel-btn"
                        data-bs-dismiss="modal"><?php echo e(__('Cancel')); ?></button>
                    <button type="submit" class="btn theme-btn text-white saveButton"><?php echo e(__('Save')); ?></button>
                </div>
            </form>
        </div>
    </div>
</div>

<!-- Edit music Modal -->
<div class="modal fade" id="editMusicModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-sm-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5 fw-semibold text-capitalize" id="exampleModalLabel"><?php echo e(__('Edit Music')); ?></h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form id="editMusicForm" method="post">
                <div class="modal-body">
                    <div class="form-group">
                        <label for="title" class="form-label"><?php echo e(__('Title')); ?></label>
                        <input type="text" class="form-control" name="title" id="edit_title" required="">
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="form-label"><?php echo e(__('Category')); ?></label>
                                <select name="category_id" id="edit_category" class="form-control" required>
                                    <option value="" disabled selected><?php echo e(__('Select Option')); ?></option>
                                    <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($category->id); ?>"><?php echo e($category->title); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="form-label"><?php echo e(__('Select Type')); ?></label>
                                <select name="type" id="edit_type" class="form-control" required>
                                    <option value="" disabled selected><?php echo e(__('Select Type')); ?></option>
                                    <option value="0"><?php echo e(__('Free')); ?></option>
                                    <option value="1"><?php echo e(__('Premium')); ?></option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-8">
                            <div class="form-group">
                                <label for="editMusicInput" class="form-label"><?php echo e(__('Music')); ?></label>
                                <label for="editUploadMusic" class="iconformusic">
                                    
                                    <?php echo e(__('Select music')); ?>

                                    <input type="file" class="form-control" id="editUploadMusic" name="audio" style="display: none;" accept="audio/mp3,audio/*;capture=microphone">
                                </label>
                                <audio id="edit_audio" src="" controls></audio>
                            </div>
                        </div>
                         <div class="col-md-4">
                            <div class="form-group">
                                <label for="image" class="form-label"><?php echo e(__('Image')); ?></label>
                                <div class="posterImg">
                                    <div class="upload-options">
                                        <label for="edit_poster"> 
                                        <input type="file" accept=".png, .jpg, .jpeg, .webp" onchange="loadFileEdit(event)" name="image" id="edit_poster">
                                        </label>
                                    </div>
                                    <img id="edit_musicImg" class="custom_img img-fluid" src="<?php echo e(asset('asset/img/placeholder-image.png')); ?>">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn modal-cancel-btn"
                        data-bs-dismiss="modal"><?php echo e(__('Cancel')); ?></button>
                    <button type="submit" class="btn theme-btn text-white saveButton"><?php echo e(__('Save')); ?></button>
                </div>
            </form>
        </div>
    </div>
</div>

<script>

    function handleFiles1(event) {
        var files1 = event.target.files;
        $("#audio").attr("src", URL.createObjectURL(files1[0]));
        document.getElementById("audio").load();
    }

    document.getElementById("uploadMusic").addEventListener("change", handleFiles1, false);


    function handleFiles(event) {
        var files = event.target.files;
        $("#edit_audio").attr("src", URL.createObjectURL(files[0]));
        document.getElementById("edit_audio").load();
    }

    document.getElementById("editUploadMusic").addEventListener("change", handleFiles, false);
     
    var loadFile = function(event) {
        var output = document.getElementById('posterImg');
        output.src = URL.createObjectURL(event.target.files[0]);
        output.onload = function() {
            URL.revokeObjectURL(output.src)
        }
    };
    var loadFileEdit = function(event) {
        var output1 = document.getElementById('edit_musicImg');
        output1.src = URL.createObjectURL(event.target.files[0]); 
        output1.onload = function() {
            URL.revokeObjectURL(output1.src)
        }
        console.log(output1);
    };
        
</script> 
<?php $__env->stopSection(); ?>
<?php echo $__env->make('include.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\life\resources\views/musics.blade.php ENDPATH**/ ?>